
Family Care - Bug #2375

Change File Data -  searcher step (bpm step) ـ rejection scenario

03/29/2021 03:03 PM - Saja Nakhleh

Status: Closed Start date: 03/29/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Musab Khuraisat Actual Result: Issue #1:

A. the searial number is not mandatory 

and the social status is editable and it's

value will not be retreived from PACI

B. the area field is read only. Observe

evidences 7 and 8.gif

Issue #2:

Once the first attachment is attached then

all the remaining attachments will be

retreived again, Once approve action is

clicked the error message will be occurred

as on the following vedio:

https://www.loom.com/share/bae6d6c215

1c4414b754ee7a3a249519

Note: this issue will prevent changing the

old value of (الفئة) field or both of

fields (الوحدة) and (ألفئة)

Severity: Normal Environment: QA

Category: Change File Data Transaction Number:  

Sub-Category:  Username:  

Step_Description:  Browser: Firefox

Pre_Conditions:  URL:  

Expected Result: Issue #1:

A. the searial number should be

mandatory and once it's entered the

social status should be read only and it's

value should be retreived from PACI

B. the area field should be editable as on

the submission form

Issue #2:

All the attachments should be reset 

Test Case ID:  

Description

Issue #1:

1. submit new change file data task (using user 12)

2. from the supervisor step, reject the task to the current searcher step (user 134)

3. Open the task using the current searcher user (user 135)

4. Observe the searial number, area and social status fields

Issue #2:

1. submit new change file data task (using user 12)

2. from the supervisor step, reject the task to the current searcher step (user 134)

3. Open the task using the current searcher user (user 135)

4. navigate to the (الفئة الجديدة) tab snd change the (الفئة) field value from مطلقات to  ربات بيوت

5. navigate to the attachments tab and attach the first attachment

6. Observe the remaining attachments
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/2


History

#1 - 03/30/2021 12:32 PM - Rahaf Khashroom

- Status changed from Open to Feedback

- Assignee changed from Rahaf Khashroom to Mohannad Sabra

Issue #1: A and B : these updates existing in the submission form but was not mentioned if it's needed to be included in the bpm process, please

advice.

issue #2 : please advice about the attachment issue.

#2 - 03/30/2021 01:44 PM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Rahaf Khashroom

Issue #1: A and B : these updates existing in the submission form but was not mentioned if it's needed to be included in the bpm process, please

advice.

Regarding these changes kindly check with musab to know the newly added changes to solve these bugs

 

issue #2 : please advice about the attachment issue.

regarding this issue when the case is changed a message should be shown to the user that all attachment will be removed  and once the user confirm

the message all attachment will be removed and in case the user cancel it nothing will happen an i will review the code and inform you what o change

by tomorrow>

#3 - 04/13/2021 11:46 AM - Rahaf Khashroom

- Status changed from Feedback to Fixed

- Assignee changed from Rahaf Khashroom to Saja Nakhleh

Issue #1:

A : Fixed, the serial number is mandatory now and social status is disabled and filled from "PACI" service.

also as requested from Mohannad the tabs in the page will be disabled until the serial number filled and the data returned from "PACI" service then all

tabs will be enabled.

B. As discussed with Mohannad , the area field still disabled and it's value will be filled based on a comparison between the areas belonging to the

selected unit and the areas retrieved from "PACI" service ,   if no matching is found between the areas, then the value will be "خارج حدود الوحدة" .

Issue #2: Fixed , as Mohannad mentioned above ; when the case is changed a message should be shown to the user that all attachment will be

removed and once the user confirm the message all attachment will be removed and in case the user cancel it nothing will happen.

Also I've added new validations on the Pages :

A) Values of the Case,Unit and region inside the decision must match the selected values in the page.

B) When a serial number of deceased person is entered , an error message will be shown and the submit button will be disabled.
#4 - 04/20/2021 05:08 PM - Saja Nakhleh

- File 9.gif added

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Rahaf Khashroom

Issue #1:

both issues have been tested and verified.

Issue #2:

tested and verified.

new issue , issue #3 (Newly added enhancements)

the researcher decision text box will keep the original decision, hence the comparison will not applied on it

Kindly observe evidence 9.gif (task #149667 , user 135)

Issue #4:

once the user changes the unit then he selects بسبب  الى فئة * تحويل الملف من فئة **,

then no validation will be handled on this case ! ( needs business review with Musab and Muhannad)

#5 - 04/21/2021 01:28 PM - Rahaf Khashroom

- Assignee changed from Rahaf Khashroom to Mohannad Sabra

issue #3 : Fixed

Issue #4: Please your advice Mohannad.

#6 - 05/09/2021 03:07 PM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Rahaf Khashroom

- Co-Workers Musab Khuraisat added

Issue #4:

once the user changes the unit then he selects تحويل الملف من فئة * الى فئة بسبب **,

Regarding this issue in case there is a difference in the selections the submit button should be disabled after the message of the invalid validation

appears for both submission and researcher screen

#7 - 05/17/2021 05:39 PM - Rahaf Khashroom

- Status changed from Feedback to Fixed

- Assignee changed from Rahaf Khashroom to Saja Nakhleh

Issue #4: fixed

#8 - 05/18/2021 03:41 PM - Saja Nakhleh
- Status changed from Fixed to Feedback

Issue #3:

waiting for the showstopper on (http://mscjo.dynalias.com:8089/redmine/issues/2370), issue #1

Issue #4:

tested and verified for all test cases:

TC_1: change the unit only (pass)

TC_2: change the type only (pass)

TC_3: change both of unit and type (pass)

TC_4: change nothing (pass)

TC_5: change to the original value (pass)

TC_6: change anything then add the decision then set the values to the original values (pass with comments),

Once the values are set to the original values the error message will not be informative, the message should show that the values aren't changed !

scenario and error on the video:  loom.com/share/e749d10aa2884560910106fd0f901d73

Saja 20/5/2021 : TC.6 has been tested and verified.

Rahaf Khashroom wrote:

New enhancement on First step (Researcher Step) :

When a serial number of deceased person is entered and the file status is (أيقاف ) or (استمرار ايقاف),  the social status field will be enabled

and the user can submit the task.

but if the file status is (ساري) or (استمرار), the social status field still disabled and an error message will show and the user cannot submit the

task.

 

Saja:

a show stopper prevents test the enhancement on the change file form (http://mscjo.dynalias.com:8089/redmine/issues/2370), issue #7

#9 - 06/17/2021 02:03 PM - Saja Nakhleh

- Status changed from Feedback to Closed

based on the bug report #2370, the enhancement could not be tested as the change file data couldn't applied for the dead beneficiary

and the beneficiary data could not edited to using while testing as this data is called every time from PACI

Files

7.GIF 166 KB 03/29/2021 Saja Nakhleh

8.GIF 170 KB 03/29/2021 Saja Nakhleh
9.gif 447 KB 04/20/2021 Saja Nakhleh
